<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Siemens Bot </title>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="{{ static_url("main.css") }}" type="text/css">
    <link rel="stylesheet" href="{{ static_url("fontawesome-5.15.1/css/all.css") }}" type="text/css">
    <script>
        function textAreaAdjust(o) {
            o.style.height = "1px";
            o.style.height = (25 + o.scrollHeight) + "px";
        }
    </script>
</head>
<body>
<div class="row">
    <div class="col-md-2">
        <div class="bg_w">
            <div id="sum_pirce_body">
                <div class="row">
                    <div class="col-md-5">
                        <label>Purchase Price : </label>
                    </div>
                    <span class="sum_purchase_price price">0</span>
                </div>
                <div class="row">
                    <div class="col-md-5">
                        <label>Sales Price : </label>
                    </div>
                    <span class="sum_sales_price price">0</span>
                </div>
                <div class="row">
                    <div class="col-md-5">
                        <label>Sum Profit : </label>
                    </div>
                    <span class="SumProfit price">0</span>
                </div>
                <div class="row">
                    <div class="col-md-5">
                        <label>Avg Discount : </label>
                    </div>
                    <span class="AvgDiscount">0</span>%
                </div>
            </div>

            <button class="btn btn-success mt-20 update_sum_price">Update</button>
            <button class="btn btn-danger mt-20 update_sum_price_up">Show</button>
            <button class="btn btn-danger mt-20 update_dup">find duplicate</button>
        </div>
    </div>
</div>
<div class="header padding15">
    <h2>Siemens Bot </h2>
</div>

{#<div class="row" style="margin-top: 30px">#}
{#    <div class="">#}
<div class="form-content">
    <form method="post" action="/insert-products">
        <input name="request_number" type="hidden" value="{{ request_number }}">
        <input name="customer" type="hidden" value="{{ default['customer'] }}">
        <div style="margin: 15px 0 40px 0" class="row padding0">
            <div class="col-md-2">
                <label> x</label>
                <input type="button" class="form-control btn btn-info check_update" value="Update Code Information">
            </div>
            <div class="col-md-2">
                <label>قیمت ارز</label>
                <input disabled type="text" name="euro" class="form-control price" placeholder="قیمت یور"
                       value="{{ default['euro'] }}">
            </div>
            <div class="col-md-2">
                <label>Product Group</label>
                <input type="text" name="product_group" class="form-control product_category" placeholder="Automation">
            </div>
            <div class="col-md-2">
                <label>Category</label>
                <input type="text" name="category" class="form-control category" placeholder="Logo!8">
            </div>
            <div class="col-md-2">
                <label>.</label>
                <div class="form-check">
                    <input class="form-check-input" type="checkbox" value="" id="export_pmd_dt" name="export_pmd_dt">
                    <label class="form-check-label" for="defaultCheck1">
                        Export PMD & DT & Dt-String
                    </label>
                </div>
            </div>
            <div class="col-md-2">
                <label>.</label>
                <div class="form-check">
                    <input class="form-check-input" type="checkbox" value="" id="euro_price_convert" name="euro_price_convert">
                    <label class="form-check-label" for="defaultCheck1">
                        IRR Convert To Euro
                    </label>
                </div>
            </div>


        </div>
        <div class="row thead padding0 margin0" style="border-bottom: 1px solid lightgray; text-align: center">
            {#            <div class="col-md-1">#}
            {#                <span>ردیف</span>#}
            {#            </div>#}
            <div class="col-md-2">
                <span>کد فنی</span>
            </div>
            <div class="col-md-1">
                <span>تعداد</span>
            </div>
            <div class="col-md-3">
                <div class="row">
                    <div class="col-md-5"><span>قیمت خرید</span></div>
                    <div class="col-md-2 padding0">
                        <div class="input-group input-group-sm">
                            <input class="form-control default-customer-discount" type="text"
                                   name="default-customer-discount" placeholder="%"
                                   value="">
                        </div>
{#                        <span>%</span>#}
                    </div>
                    <div class="col-md-5"><span>قیمت فروش</span></div>
                </div>
            </div>
            <div class="col-md-2">
                <span>توضیحات</span>
            </div>
            <div class="col-md-1">
                <span>زمان تحویل</span>
            </div>
            <div class="col-md-3">
                <div class="row">
                    <div class="col-md-3"><span>سورس</span></div>
                    <div class="col-md-3"><span>PMD</span></div>
                    <div class="col-md-3"><span>Ratio</span></div>
                    <div class="col-md-3">
                        <input class="form-check-input" type="checkbox" value="" id="check_all_dt" name="check_all_dt">
                        <label class="form-check-label">
                            DT Ratio
                        </label>
                    </div>
                </div>
            </div>


        </div>
        {% set cnt = 0 %}
        {% for i in data %}
        {% set cnt = cnt + 1 %}

        <div data-id="{{ cnt }}" class="row margin0 p_row product_row" style="padding-top: 12px">
            <div class="col-md-2">
                <div class="input-group input-group-sm">
                    <div title="{{ i['code'] }}"
                         rel="{% if i['status'] %}popover{% end %}"
                         data-img="{% if i['status'] %}{{ i['image_url'] }}{% end %}"
                         data-desc="{{ i['description'] }}"
                         data-id="{{ cnt }}"
                         class="input-group-prepend">
                        <span class="input-group-text" id="inputGroup-sizing-sm">{{ cnt }}</span>
                    </div>
                    <input autocomplete="off" required title="{{ i['code'] }}"
                           style="display: inline-block"
                           id="autocomplete"
                           data-id="{{ cnt }}"
                           class="form-control order-number {% if i['status'] %}is-valid{% else %}is-invalid{% end %}"
                           type="text" name="order-number-{{ cnt }}"
                           value="{{ i['code'] }}">
                    {#                <input autocomplete="off" required title="{{ i['code'] }}" data-placement="left"#}
                    {#                       rel="{% if i['status'] %}popover{% end %}"#}
                    {#                       data-img="{% if i['status'] %}{{ i['image_url'] }}{% end %}"#}
                    {#                       data-desc="{{ i['description'] }}"#}
                    {#                       style="display: inline-block"#}
                    {#                       id="autocomplete"#}
                    {#                       data-id="{{ cnt }}"#}
                    {#                       class="form-control {% if i['status'] %}is-valid{% else %}is-invalid{% end %} order-number"#}
                    {#                       type="text" name="order-number-{{ cnt }}"#}
                    {#                       value="{{ i['code'] }}">#}
                    {#                #}
                </div>
                <ul id="searchResult-{{ cnt }}" class="searchResult"></ul>
                <i title="Remove" data-id="{{ cnt }}" class="fa fa-times remove_item" aria-hidden="true"></i>
                <div class="replace-{{ cnt }}" style="font-size: 10px;">

                    <a href='#' data-id="{{ cnt }}" class="check-replace-{{ cnt }}
                            {% if i['replace_code'] %}
                                {% if len(i['replace_code'])<=25 %}click_replace{% end %}{% else %}update_one{% end %}">
                        {% if i['replace_code'] %} {{ i['replace_code'] }}{% else %}{% if i['status'] %}update
                        {% end %}{% end %}</a>
                    <span data-id="{{ cnt }}" class="merge_dup"></span>
                </div>


            </div>
            <div class="col-md-1">
                <div class="input-group input-group-sm">
                    <input data-id="{{ cnt }}" class="form-control qty" type="text" name="qty-{{ cnt }}"
                           value="{{ i['qty'] }}">
                </div>
                <div style="font-size: 10px;">
                    <span data-id="{{ cnt }}" class="sumprofit-{{ cnt }}"></span>
                </div>
            </div>
            <div class="col-md-3">

                <div class="row">
                    <div class="col-md-5 padding0">
                        <div class="input-group input-group-sm">
                            {% if i['sourcels'] %}
                            <div class="input-group-prepend">
                                <button class="btn btn-outline-secondary dropdown-toggle" type="button"
                                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                </button>
                                <div class="dropdown-menu">
                                    <a style="font-size: 13px" class="dropdown-item" data-toggle="modal"
                                       data-target="#db-pric-modal" data-ord-num="{{ i['code'] }}"
                                       data-id="{{ cnt }}">Recent</a>
                                </div>
                            </div>
                            {% end %}
                            <input data-id="{{ cnt }}" class="form-control number-separator price purchase-price"
                                   type="text"
                                   name="purchase-price-{{ cnt }}"
                                   value="{{ i['Purchase_price'] }}">
                            <div class="input-group-append">
                                <button class="btn btn-outline-secondary dropdown-toggle" type="button"
                                        data-toggle="dropdown" aria-haspopup="true"
                                        aria-expanded="false">{{ i['currency'] }}
                                </button>
                                <div class="dropdown-menu">
                                    <a style="font-size: 13px" class="dropdown-item" href="#">IRR</a>
                                    {#                                <a style="font-size: 13px" class="dropdown-item" href="#">Dollar</a>#}
                                    {#                                <a style="font-size: 13px" class="dropdown-item" href="#">Euro</a>#}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 padding0">
                        <div class="input-group input-group-sm">
                            <input data-id="{{ cnt }}" class="form-control customer-discount" type="text"
                                   name="customer-discount-{{ cnt }}"
                                   value="{{ i['customertdiscount'] }}">
                        </div>
                        <div style="font-size: 10px;">
                            <span data-id="{{ cnt }}"
                                  class="profit-{{ cnt }}">{{ i['Sales_price'] - i['Purchase_price'] }}</span>
                        </div>
                    </div>
                    <div class="col-md-5 padding0">
                        <div class="input-group input-group-sm">
                            <input data-id="{{ cnt }}" name="sales-price-{{ cnt }}" type="text"
                                   class="form-control number-separator price sales-price"
                                   value="{{ i['Sales_price'] }}">

                            <div class="input-group-append">
                                <button class="btn btn-outline-secondary dropdown-toggle" type="button"
                                        data-toggle="dropdown"
                                        aria-haspopup="true" aria-expanded="false">{{ i['currency'] }}</button>
                                <div class="dropdown-menu">
                                    <a class="dropdown-item" href="#">IRR</a>
                                    {#                                <a class="dropdown-item" href="#">Dollar</a>#}
                                    {#                                <a class="dropdown-item" href="#">Euro</a>#}
                                </div>
                            </div>
                        </div>
                        <div class="euro-recent-{{ cnt }}" style="font-size: 10px;">
                            <a href='#' class="euro-replace-{{ cnt }}">
                                {% if i['euro'] != default['euro'] %} {{ i['euro'] }}{% end %}</a>
                        </div>

                    </div>
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group input-group-sm">
                    <input data-id="{{ cnt }}" class="form-control statement" type="text" name="statement-{{ cnt }}"
                           value="{% if i['Statement'] %}{{ i['Statement'] }} {% end %}">

                    <div class="input-group-append">
                        <button class="btn btn-outline-secondary dropdown-toggle" type="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        </button>
                        <div class="dropdown-menu">
                            <a style="font-size: 13px" class="dropdown-item statement_option" data-id="{{ cnt }}">Corrected</a>
                            <a style="font-size: 13px" class="dropdown-item statement_option" data-id="{{ cnt }}">Replacement</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-1">
                <div class="input-group input-group-sm">
                    <input class="form-control deliver" type="text" name="deliver-{{ cnt }}" data-id="{{ cnt }}"
                           value="{{ i['deliver'] }}">
                    <div class="input-group-append">
                        <button class="btn btn-outline-secondary dropdown-toggle" type="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        </button>
                        <div class="dropdown-menu">
                            <a style="font-size: 13px" class="dropdown-item deliver_time" data-id="{{ cnt }}">1~2
                                Months</a>
                            <a style="font-size: 13px" class="dropdown-item deliver_time"
                               data-id="{{ cnt }}">Available</a>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-md-3">
                <div class="row">
                    <div class="col-md-3">
                        <div class="input-group input-group-sm">
                            <input data-id="{{ cnt }}" class="form-control source_input" type="text"
                                   name="source-{{ cnt }}"
                                   value="{{ i['source'] }}">
                            {% if i['sourcels'] %}
                            <div class="input-group-append">
                                <button class="btn btn-outline-secondary dropdown-toggle" type="button"
                                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                </button>
                                <div class="dropdown-menu">
                                    {% for j in i['sourcels'] %}
                                    <a style="font-size: 13px" class="dropdown-item source"
                                       data-id="{{ cnt }}">{{ j['source'] }}</a>
                                    {% end %}
                                </div>
                            </div>
                            {% end %}
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="input-group input-group-sm">
                            <input class="form-control pmd-val" data-id="{{ cnt }}" type="text" name="pmd-{{ cnt }}"
                                   value="{{ i['pmd'] }}">
                            <div class="input-group-append">
                                <button class="btn btn-outline-secondary add-pmd disp-none" type="button"
                                        data-toggle="modal"
                                        data-target="#add-pmd-modal" data-ord-num="{{ i['code'] }}" data-id="{{ cnt }}">
                                    Add
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3">

                        <div class="input-group mb-3 input-group-sm">
                            <input disabled data-id="{{ cnt }}" name="pmd-ratio-{{ cnt }}" type="text"
                                   class="form-control pmd-ratio-val"
                                   aria-label="Text input with checkbox"
                                   value="







                                           {% if float(i['pmd'])*float(default['euro']) %}{{ float(i['Purchase_price'])/(float(i['pmd'])*float(default['euro'])) }} {% end %}">
                            {#                        <div class="input-group-prepend">#}
                            {#                            <div class="input-group-text">#}
                            {#                                <input name="pmd-ratio-edit-{{ cnt }}" type="checkbox"#}
                            {#                                       aria-label="Checkbox for following text input">#}
                            {#                            </div>#}
                            {#                        </div>#}
                        </div>

                    </div>
                    <div class="col-md-3">
                        <div class="input-group input-group-sm">
                            <input data-id="{{ cnt }}" name="dt-pmd-ratio-{{ cnt }}" type="text"
                                   class="form-control dt-pmd-ratio-val"
                                   aria-label="Text input with checkbox"
                                   value="{{ i['dt_pmd_ratio'] }}">
                            <div class="input-group-prepend">
                                <div class="input-group-text">
                                    <input data-id="{{ cnt }}" class="dt-pmd-ratio-check {% if float(i['pmd'])*float(default['euro']) %}enable_dt_check{% end %}"
                                           name="dt-pmd-ratio-check-{{ cnt }}" type="checkbox"
                                           aria-label="Checkbox for following text input">
                                </div>
                            </div>
                        </div>
                        <div style="font-size: 8px;">
                            <i data-id="{{ cnt }}" class="dt-root-{{ cnt }}">{{ i['dt_ratio_root'] }}</i>
                        </div>
                    </div>
                </div>
            </div>

            <hr>

        </div>

        {% end %}

        <div class="row margin0 padding0">
            <div class="col-md-12">
                        <textarea name="remarks" onkeyup="textAreaAdjust(this)" placeholder="Remarks"
                                  class="form-control"
                                  style="margin: 20px 0;overflow:auto;">{{ default['remarks'] }}</textarea>
            </div>
        </div>

        <div class="row margin0 padding0" style="border-top: 1px solid lightgray; text-align: center;">
            <input value="Submit" class="btn btn-success submit" style="margin:20px 15px">
        </div>
        {% module xsrf_form_html() %}
        <input type="hidden" value="{{ cnt }}" name="count">
    </form>
</div>

<div class="container disp-none result_form">
    <div class="row">
        <div class="col-md-4 col-md-offset-4">
            <input type="button" class="btn btn-primary show-form" value="ویرایش اطلاعات">
        </div>
        <div class="col-md-3">
            <button type="button" class="btn btn-success save_database">Save in Database</button>
        </div>
    </div>
    <div class="row" style="margin-top: 9%">
        <div class="col-md-5">
            <a href="#" class="excel-link">
                <img style="width: 150px;" src="{{ static_url("images/excel.svg") }}">
            </a>
            <a download href="#" class="excel-link">
                <input type="button" class="btn btn-primary" value="Download"></a>
        </div>
        <div class="col-md-4 result"></div>
    </div>
    <div class="row">
        <div class="col-md-6 codemsg">

        </div>
    </div>
</div>

{#----------------modals----------------------------------#}

<div class="modal fade" id="add-pmd-modal" tabindex="-1" role="dialog" aria-labelledby="add-pmd-modalLabel"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="add-pmd-modalLabel">Insert New PMD</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form>
                    <div class="form-group">
                        <label for="recipient-name" class="col-form-label">Order Number:</label>
                        <input type="text" class="form-control" id="order-number">
                    </div>
                    <div class="form-group">
                        <label for="recipient-name" class="col-form-label">PMD:</label>
                        <input type="text" class="form-control modal-input pmd-val" id="pmd-val">
                    </div>
                    <input type="hidden" id="add-pmd-modal-id">

                </form>
                <div>
                    <span id="modal-msg" class="disp-none" style="color: #34ce57;"><strong>Successful!</strong></span>
                </div>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" id="add-pmd-btn">Add</button>

            </div>
        </div>
    </div>
</div>


<div class="modal fade bd-example-modal-xl" id="db-pric-modal" tabindex="-1" role="dialog"
     aria-labelledby="db-pricLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">

            <div class="modal-header">
                <h5 class="modal-title" id="db-pricLabel">DB Price</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                <div class="row">
                    <div class="col-md-4">
                        <span class="red">Max(<small class="source__max"></small>) : </span>
                        <span class="max__"></span>
                        <small class="max__date col_red"></small>
                    </div>

                    <div class="col-md-4">
                        <span class="red">Min(<small class="source__min"></small>) : </span>
                        <span class="min__"></span>
                        <small class="min__date col_red"></small>
                    </div>
                    <div class="col-md-4">
                        <span class="red">Last(<small class="source__last"></small>) : </span>
                        <span class="last__"></span>
                        <small class="last__date col_red"></small>
                    </div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-md-4">
                        <span class="red">Max : </span>
                        <span class="max__source"></span>
                    </div>

                    <div class="col-md-4">
                        <span class="red">Min : </span>
                        <span class="min__source"></span>
                    </div>
                    <div class="col-md-4">
                        <span class="red">Last : </span>
                        <span class="last__source"></span>
                    </div>
                </div>
                <form>
                    <div class="form-group">
                        {#                        <label for="recipient-name" class="col-form-label">Source Name:</label>#}
                        <select class="form-control modal-source-ls">
                        </select>
                    </div>
                    <div class="row">
                        <div class="col-md-3" style="text-align: center">Date</div>
                        <div class="col-md-3" style="text-align: center">Price</div>
                        <div class="col-md-2" style="text-align: center">Source</div>
                        <div class="col-md-2" style="text-align: center">Euro</div>
                        <div class="col-md-2" style="text-align: center">Action</div>
                        <hr>
                        <div class="col-md-12">
                            <div class="row recent-price">
                                not Found!
                            </div>
                        </div>
                    </div>

                    <input type="hidden" id="db-pric-modal-id">
                    <input type="hidden" id="source_name">

                </form>
                <div>
                    <span id="modal-msg" class="disp-none" style="color: #34ce57;"><strong>Successful!</strong></span>
                </div>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>


{#--------------------------------------------------#}


<script type="text/javascript" src="{{ static_url("validation.js") }}"></script>
<script type="text/javascript" src="{{ static_url("autonumeric.min.js") }}"></script>
<script>
    var form_state = {% raw json_encode(data) %};

    function show_sum_price() {
        var pprice_ = 0;
        var sprice_ = 0;
        $.each(form_state, function (index, value) {
            if (value['status'] != "removed"){
                pprice_ += value['Purchase_price'] * value['qty'];
                sprice_ += value['Sales_price'] * value['qty'];
                sum_price_update(index + 1);
            }
        });
        var Sum_Profit = sprice_ - pprice_;
        var AvgDiscount = (Sum_Profit * 100) / pprice_;

        {#$('.sum_purchase_price').autoNumericSet(pprice_);#}
        new AutoNumeric('.sum_purchase_price').set(pprice_);
        new AutoNumeric('.sum_sales_price').set(sprice_);
        new AutoNumeric('.SumProfit').set(Sum_Profit);
        $('.AvgDiscount').html(AvgDiscount.toFixed(2));
        {#alert(pprice_);#}
    }

    show_sum_price();
    $(".update_sum_price").click(function (e) {
        e.preventDefault();
        show_sum_price();
    });
    $(".update_sum_price_up").click(function (e) {
        e.preventDefault();
        var x = $(this);
        $('#sum_pirce_body').slideToggle();
        {#console.log(x.html());#}
        if (x.html() === "Minimize") {
            x.html("Show");
        } else {
            x.html("Minimize");
        }

    });
    $(document).ready(function () {
        $('#sum_pirce_body').slideUp(1000);
    });

    $("#check_all_dt").click(function () {
        $('input:checkbox.enable_dt_check').click();
    });

    $("#euro_price_convert").click(function () {
        var euro = AutoNumeric.getNumber('input[name=euro]');
        var pprice_ls = $(".purchase-price");
        if ($(this).is(":checked")){
            var new_val;
            $.each(pprice_ls, function (index, value) {
                var data_id = index+1;
                var pprice= AutoNumeric.getNumber('input[name=purchase-price-' + data_id + ']');
                {#new AutoNumeric.multiple('.price', {wheelStep: 1});#}
                new_val = pprice/euro;
                {#alert(new_val);#}
                AutoNumeric.getAutoNumericElement('input[name=purchase-price-' + data_id + ']').set(new_val);
                $('input[name=purchase-price-' + data_id + ']').change();
                form_state_update(index,"currency", 'EUR')
            });
        }
        if ($(this).is(":not(:checked)")){
            $.each(pprice_ls, function (index, value) {
                var data_id = index+1;
                var pprice= AutoNumeric.getNumber('input[name=purchase-price-' + data_id + ']');
                {#new AutoNumeric.multiple('.price',AutoNumeric.getPredefinedOptions().integerPos);#}
                new_val = pprice*euro;
                AutoNumeric.getAutoNumericElement('input[name=purchase-price-' + data_id + ']').set(new_val);
                $('input[name=purchase-price-' + data_id + ']').change();
                form_state_update(index,"currency", 'IRR')
            });
        }
    });

    function find_dupes() {
        console.log(dupes);
        console.log('---------------------------------------------------------------------');
        var dupes = {};
        console.log(dupes);
        var back = ["#ff000078", "#7cc8c38f", "#efd9566b", "#6098f687", "#1b1b1b4d", "#ff980087"];
        console.log(form_state);
        $.each(form_state, function (index, item) {
            if (item.rawcode != '') {
                {#console.log(index+':'+item.code);#}
                dupes[item.rawcode] = dupes[item.rawcode] || [];
                dupes[item.rawcode].push(index + 1);
            }
            else {
                {#console.log(index+'::'+item.code);#}
                dupes[item.code] = dupes[item.code] || [];
                dupes[item.code].push(index + 1);
            }

        });
        var cnt = 0;
        $.each(dupes, function (index, item) {

            if (item.length > 1) {
                console.log(item);
                {#var color = back.shift();#}
                $.each(item, function (sub_index, sub_item) {
                    {#console.log("$(div.p_row[data-id=" + sub_item + "]).css( 'background-color' ,'"+ back[cnt]+ "')");#}
                    $("div.p_row[data-id=" + sub_item + "]").css("background-color", back[cnt]);
                    console.log("$(.merge_dup[data-id=" + sub_item + "]).html('Merge')");
                    $(".merge_dup[data-id=" + sub_item + "]").html('Merge');

                });
                cnt = cnt + 1;
            }
            else {
                $("div.p_row[data-id=" + item[0] + "]").css("background-color", '');
            }

        });
        console.log('--------------- dup end -------------------');
        console.log(dupes);
    }

    find_dupes();
    $('.update_dup').click(function (e) {
        e.preventDefault();
        find_dupes();
    });

    var reques_ = false;
    $(".show-form").click(function () {
        $(".form-content").slideDown(1000);
        $(".result_form").slideUp(500);
    });
    $(".update_one").click(function (e) {
        e.preventDefault();
        var id = $(this).attr('data-id');
        data_update(id - 1, 1)
    });

    $("input[name=euro]").change(function () {
        $("input.purchase-price").change();
    });


    $(".save_database").click(function (e) {
        e.preventDefault();
        var str = "";
        var request_number = $("input[name=request_number]").val();
        var customer = $("input[name=customer]").val();
        {#alert(customer);#}
        $.ajax(
            {
                type: "POST",
                url: "/product/insert",
                data: {
                    form_data: JSON.stringify(form_state),
                    requested: reques_,
                    request_number: request_number,
                    customer: customer,
                    act: "savedatabase"
                },
                success: function (data) {
                    if (data['status']) {
                        alert(data['msg']);
                        console.log(data['value']);
                        $.each(data['value'], function (index, value) {
                            str += "<span><strong>" + index + "</strong> : " + value + "</span><br>";
                        });
                        $('.codemsg').html(str);
                        {#$('.msgg')#}
                    }
                    else {
                        alert(data['msg']);
                        $.each(data['value'], function (index, value) {
                            str += "<span><strong>" + index + "</strong> : " + value + "</span><br>";
                        });
                        $('.codemsg').html(str);
                        console.log(data['value'])
                    }
                }
            });
    });


    function data_update(i, len) {
        $(".submit").prop("disabled", true);
        var index = i + 1;
        $(".replace-" + index).html(str).slideUp();
        $("div.p_row[data-id=" + index + "]").css("background-color", '');
        $("div.p_row[data-id=" + index + "]").addClass("bg_green");
        var js = form_state[i];
        var str = "<i class='cmplet' style='color: green'>Complet!</i>";
        len -= 1;
        console.log(len);
        $.ajax(
            {
                type: "put",
                url: "/get-data",
                data: {js: JSON.stringify(js), act: "update_data"},
                success: function (data) {
                    if (data['status']) {
                        var new_js = data['value'];
                        console.log(new_js['status']);
                        console.log(new_js);
                        if (!new_js['status']) {
                            console.log("No");
                            $("input[name=order-number-" + index + "]").addClass("is-invalid");
                        }
                        else {
                            form_state[i] = new_js;
                            $("input[name=order-number-" + index + "]").removeClass("is-invalid").addClass("is-valid");
                            if (new_js['replace'].length > 0) {
                                console.log(jQuery.type(new_js['replace']));
                                if (jQuery.type(new_js['replace']) === 'string') {
                                    {#alert("String");#}
                                    console.log(new_js['replace']);
                                    str = "<a data-id='" + index + "' class='check-replace-" + index + "'>" + new_js['replace'] + "</a>";
                                    {#$(".replace-" + index).html(str).slideDown();#}

                                } else {
                                    {#alert("array");#}
                                    {#$(".replace-" + index).slideUp();#}
                                    {#$(".check-replace-" + index).text(new_js['replace']).addClass('click_replace');#}
                                    console.log(new_js['replace'][0]['code']);
                                    str = "<a href='#' data-id='" + index + "' class='click_replace check-replace-" + index + "'>" + new_js['replace'][0]['code'] + "</a>";
                                    {#$(".replace-" + index).html(str).slideDown();#}
                                }
                                $(".replace-" + index).html(str).slideDown();
                            }
                            else {
                                $(".replace-" + index).html(str).slideDown();
                            }
                        }

                    }
                    else {
                        alert("Error");
                    }
                    $("div.p_row[data-id=" + index + "]").removeClass("bg_green");
                    i = i + 1;
                    if (len > 0) {
                        data_update(i, len);
                    }
                    else
                        $(".submit").prop("disabled", false);
                    find_dupes();
                },
                error: function (status) {
                    $("div.p_row[data-id=" + index + "]").removeClass("bg_green");
                    $("input[name=order-number-" + index + "]").addClass("is-invalid");
                    i = i + 1;
                    if (len > 0) {
                        data_update(i, len);
                    }
                    else $(".submit").prop("disabled", false);
                    find_dupes();
                }
            });

    }

    {#$(window).on('load', function () {#}
    {#if (form_state.length > 0)#}
    {#data_update(0, form_state.length)});#}

    $(".check_update").click(function () {
        if (form_state.length > 0)
            reques_ = true;
        data_update(0, form_state.length)
    });


    $(".submit").click(function (e) {
        e.preventDefault();
        $(".form-content").slideUp(2000);
        $(".result_form").slideDown(1500);
        var remark = $("textarea[name=remarks]").text();
        var request_number = $("input[name=request_number]").val();
        var customer = $("input[name=customer]").val();
        var export_pmd_dt = $("input[name=export_pmd_dt]").prop('checked');
        var euro_price_convert = $("input[name=euro_price_convert]").prop('checked');
        {#if(export_pmd_dt)#}
        {#    alert(export_pmd_dt);#}
        {#else#}
        {#    alert('salalalam');#}
        console.log(remark);
        $.ajax(
            {
                type: "POST",
                url: "/product/insert",
                data: {
                    form_data: JSON.stringify(form_state),
                    remark: remark,
                    request_number: request_number,
                    export_pmd_dt: export_pmd_dt,
                    customer: customer,
                    act: "excel"
                },
                success: function (data) {
                    if (data['status']) {
                        $("a.excel-link").attr("href", data['value']['path']);
                        $(".result").html(data['value']['report']);
                    }
                    else {
                        alert("No")
                    }
                }
            });

    });
    {#======================================================================================================#}
    {#anElement = new AutoNumeric.multiple('.price', 'integerPos');#}
    const discount = {
        "ranges": [
            {
                "min": 0,
                "max": 5,
                "class": "autoNumeric-red"
            },
            {
                "min": 5,
                "max": 10,
                "class": "autoNumeric-orange"
            },
            {
                "min": 10,
                "max": 15,
                "class": "autoNumeric-yellow"
            },
            {
                "min": 15,
                "max": 100,
                "class": "autoNumeric-green"
            }
        ]
    };
    const pmd = {
        "ranges": [
            {
                "min": 0,
                "max": 1.1,
                "class": "autoNumeric-red"
            },
            {
                "min": 1.1,
                "max": 1000000,
                "class": "autoNumeric-green"
            }
        ]
    };

    {#pppprice = new AutoNumeric.multiple('.price',  AutoNumeric.getPredefinedOptions().integerPos);#}
    pppprice = new AutoNumeric.multiple('.price');
    new AutoNumeric.multiple('.customer-discount', {"styleRules": discount, symbolWhenUnfocused: ' %', wheelStep: 1});
    new AutoNumeric.multiple('.pmd-val', {"styleRules": pmd});


    {#======================================================Order Number====================================================#}
    $(document).on('click', '.click_replace', function (e) {
        e.preventDefault();
        {#alert("Prices will be removed!");#}
        var id = $(this).attr('data-id');
        var val = $(this).text();
        var inp = $("input[name=order-number-" + id + "]");
        {#var oldcode = inp.val();#}
        var oldcode = form_state[id - 1]['order_number'];
        inp.val(val).change();
        AutoNumeric.getAutoNumericElement('input[name=purchase-price-' + id + ']').set(0);
        $('input[name=purchase-price-' + id + ']').change();
        $(this).slideUp();
        var stm_old = $("input[name=statement-" + id).val();
        {#alert(stm_old);#}
        var stm = "(Replaced for " + oldcode + ")";
        if (stm_old) {
            stm = stm_old + stm
        }
        $("input[name=statement-" + id).val(stm);
        form_state_update(id - 1, "Statement", stm);
        form_state_update(id - 1, "order_number", val);
        if (!form_state[id - 1]['change_flag']) {
            {#alert('old set');#}
            form_state_update(id - 1, "old_cod", oldcode);
            form_state_update(id - 1, "change_flag", 1);
        }
        {#data_update(id - 1, 1);#}
    });
    var orde_number = $(".order-number");
    orde_number.change(function () {
        var order_number = $(this).val();
        var data_id = parseInt($(this).attr("data-id"));
        var oldcode = form_state[data_id - 1]['order_number'];
        var oldstatus = form_state[data_id - 1]['status'];
        if (!oldcode)
            oldcode = form_state[data_id - 1]['code'];
        {#alert(oldcode);#}
        form_state_update(data_id - 1, "code", order_number);
        form_state_update(data_id - 1, "rawcode", '');
        form_state_update(data_id - 1, "description", '');
        form_state_update(data_id - 1, "weight", 0);
        form_state_update(data_id - 1, "coo", '');
        form_state_update(data_id - 1, "Lifecycle", '');
        form_state_update(data_id - 1, "Notes", '');
        form_state_update(data_id - 1, "datasheet", '');
        form_state_update(data_id - 1, "image_url", '');
        form_state_update(data_id - 1, "replace", '');
        form_state_update(data_id - 1, "replace_code", '');
        form_state_update(data_id - 1, "status", '');
        form_state_update(data_id - 1, "pmd", 0);
        form_state_update(data_id - 1, "dt_pmd_ratio", 0);
        form_state_update(data_id - 1, "last_modified", '');
        form_state_update(data_id - 1, "sourcels", '');
        form_state_update(data_id - 1, "id", -1);
        form_state_update(data_id - 1, "order_number", '');
        if (!form_state[data_id - 1]['change_flag']) {
            {#alert('old set');#}
            form_state_update(data_id - 1, "old_cod", oldcode);
            if (oldstatus)
                form_state_update(data_id - 1, "change_flag", 1);
            else
                form_state_update(data_id - 1, "change_flag", 2);
        }

        $.ajax(
            {
                type: "POST",
                url: "/product/check",
                data: {code: order_number, act: "exist"},
                success: function (data) {
                    if (data['status']) {
                        {#alert("change");#}
                        data_update(data_id - 1, 1);
                        $("input[name=order-number-" + data_id + "]").addClass("is-valid").removeClass("is-invalid");
                        AutoNumeric.getAutoNumericElement("input[name=pmd-" + data_id + "]").set(parseFloat(data['value']['pmd']));
                        $("input[name=dt-pmd-ratio-" + data_id + "]").val(parseFloat(data['value']['dt_pmd_ratio'])).addClass("edited");
                        $("input[name=pmd-" + data_id + "]").addClass("edited");
                    }
                    else {

                        $("input[name=order-number-" + data_id + "]").addClass("is-invalid").removeClass("is-valid");
                        AutoNumeric.getAutoNumericElement("input[name=pmd-" + data_id + "]").set(1);
                        $("input[name=pmd-" + data_id + "]").addClass("edited");
                        data_update(data_id - 1, 1);
                    }
                }
            });
        form_state_update(data_id - 1, "code", order_number);

        {#form_state_update(data_id - 1, "Statement", stm);#}
    });
    var stOu = 0;
    {#orde_number.keyup(function () {#}
    {#    clearTimeout(stOu);#}
    {#    var order_input = $(this);#}
    {#    stOu = setTimeout(function () {#}
    {#        var order_number = order_input.val();#}
    {#        var data_id = parseInt(order_input.attr("data-id"));#}
    {#        $.ajax(#}
    {#            {#}
    {#                type: "POST",#}
    {#                url: "/product/check",#}
    {#                data: {code: order_number, act: "like"},#}
    {#                success: function (data) {#}
    {#                    if (data['status']) {#}
    {#                        var response = data['value'];#}
    {#                        var len = response.length;#}
    {#                        $("#searchResult-" + data_id).empty();#}
    {#                        for (var i = 0; i < len; i++) {#}
    {#                            var id = response[i]['id'];#}
    {#                            var name = response[i]['order_number'];#}
    {#                            var img = "https://pnap.ir" + response[i]['image_url'];#}
    {#                            $("#searchResult-" + data_id).append("<li class='aut-cmp-box' value='" + id + "'><div class='row'><div class='col-md-4'><image src='" + img + "' class='min-img'></div><div class='col-md-8'>" + name + "</div></div></li>");#}
    {#                        }#}
    {#                        $("#searchResult-" + data_id + " li").bind("click", function () {#}
    {#                            order_input.val($(this).text()).change();#}
    {#                            $("#searchResult-" + data_id).empty();#}
    {#                        });#}
    {#                    }#}
    {#                    else {#}
    {#                        $("input[name=order-number-" + data_id + "]").addClass("is-invalid").removeClass("is-valid");#}
    {#                        AutoNumeric.getAutoNumericElement("input[name=pmd-" + data_id + "]").set(1);#}
    {#                        $("input[name=pmd-" + data_id + "]").addClass("edited");#}
    {#                    }#}
    {#                }#}
    {#            });#}
    {#    }, 1500);#}
    {##}
    {#);#}
    {#$(document).click(function () {#}
    {#    $(".searchResult").empty();#}
    {#);#}

    $(document).ready(function () {
        $('[data-toggle="tooltip"]').tooltip();
    });
    $('div[rel=popover]').popover({
        html: true,
        {#trigger: 'click',#}
        trigger: 'hover',
        placement: 'top',
        {#selector: 'true',#}
        content: function () {
            return '<div class="row margin0"><div class="col-md-5"><img class="popimgae" src="' + $(this).data('img') + '" /></div><div class="col-md-7"><div>Max:100000</div><div>Min:20000</div><div>Last:15000</div><div>Rate</div></div><div class="col-md-12">"' + $(this).data('desc') + '" </div></div>';
        }
    });
    {#======================================================== QTY ========================================================#}

    $(".qty").change(function () {
        var data_id = parseInt($(this).attr("data-id"));
        form_state_update(data_id - 1, "qty", $(this).val());
        sum_price_update(data_id);
    });

    {#=====================================================Purchase Price==================================================#}
    var purchase_price = $('.purchase-price');
    purchase_price.change(function () {
        var data_id = parseInt($(this).attr("data-id"));
        var ratio = parseFloat($("input[name=pmd-ratio-" + data_id + "]").val());
        form_state_update(data_id - 1, "Purchase_price", AutoNumeric.getNumber(this));
        form_state_update(data_id - 1, "price", AutoNumeric.getNumber(this));
        sales_price_update(data_id);
        pmd_ratio_update(data_id);
    });
    purchase_price.keyup(function () {
        var data_id = parseInt($(this).attr("data-id"));
        form_state_update(data_id - 1, "Purchase_price", AutoNumeric.getNumber(this));
        form_state_update(data_id - 1, "price", AutoNumeric.getNumber(this));
        sales_price_update(data_id);
        pmd_ratio_update(data_id);
        $("input[name=dt-pmd-ratio-check-" + data_id + "]").prop('checked', false);
    });

    $(document).on("click", '.set-price', function () {
        var data_id = parseInt($(this).attr("data-id"));
        var price = $(this).text();
        var source_name = $('#source_name').val();

        AutoNumeric.getAutoNumericElement('input[name=purchase-price-' + data_id + ']').set(price);
        form_state_update(data_id - 1, "Purchase_price", price);
        sales_price_update(data_id);
        pmd_ratio_update(data_id);
        $("input[name=dt-pmd-ratio-check-" + data_id + "]").prop('checked', false);
        $('#db-pric-modal').modal('hide');
        form_state_update(data_id - 1, "price", price);

        $("input[name=source-" + data_id + "]").val(source_name).change();
        form_state[data_id - 1]["source"] = source_name;
        console.log("source changed :", data_id, form_state[data_id - 1]["source"]);
    });

    $('#db-pric-modal').on('show.bs.modal', function (event) {

        var button = $(event.relatedTarget);
        var data_id = parseInt(button.data('id'));
        var source = $("input[name=source-" + data_id + "]").val();
        var ord_num = $("input[name=order-number-" + data_id + "]").val();
        var modal = $(this);
        var res = "";
        var opt = "";
        modal.find('.modal-title').text(ord_num);
        modal.find('#db-pric-modal-id').val('');
        modal.find('#db-pric-modal-id').attr("data-id", '');
        modal.find('.modal-body .modal-source-ls').html('');
        modal.find('.modal-body .recent-price').html('');
        modal.find('.modal-body .max__source').html('');
        modal.find('.modal-body .min__source').html('');
        modal.find('.modal-body .max__').html('');
        modal.find('.modal-body .source__max').html('');
        modal.find('.modal-body .min__').html('');
        modal.find('.modal-body .source__min').html('');
        modal.find('.modal-body .last__').html('');
        modal.find('.modal-body .source__last').html('');

        modal.find('.modal-body .max__date').html('');
        modal.find('.modal-body .min__date').html('');
        modal.find('.modal-body .last__date').html('');


        $.ajax(
            {
                type: "POST",
                url: "/product/recent-price",
                data: {code: ord_num, source: source},
                success: function (data) {
                    var value = data['value']['logs'];
                    var sources = data['value']['source'];
                    console.log(data['value']['source']);
                    var report = data['value']['report'];
                    console.log(value);
                    for (var i = 0; i < value.length; i++) {
                        res += "<div class='col-md-3 modal-date' style='text-align: center'>" + value[i]['request_date'] + "</div><div class='col-md-3 modal-price' style='text-align: center'><a data-id=" + data_id + " class='set-price' href='#'>" + value[i]['price'] + "</a></div><div class='col-md-2 modal-source' style='text-align: center'>" + value[i]['source']['source'] + "</div><div class='col-md-2 modal-euro' style='text-align: center'>" + value[i]['euro'] + "</div><div class='col-md-2' style='text-align: center'><a class='rm-prc-rcrd'>Delete</a></div>"
                    }
                    $.each(sources, function (i, item) {
                        opt += "<option value=" + item['source_id'] + ">" + item['source'] + "</option>";
                    });
                    modal.find('.modal-title').text(ord_num);
                    modal.find('#db-pric-modal-id').val(ord_num);
                    modal.find('#db-pric-modal-id').attr("data-id", data_id);
                    modal.find('.modal-body .modal-source-ls').html(opt).val(source).change();
                    {#modal.find('select.modal-source-ls');#}

                    modal.find('.modal-body .recent-price').html(res);
                    modal.find('.modal-body .max__source').html(report['max_source']['price']);
                    modal.find('.modal-body .min__source').html(report['min_source']['price']);
                    {#modal.find('.modal-body .last__source').html(report['max']['price']);#}

                    modal.find('.modal-body .max__').html(report['max']['price']);
                    modal.find('.modal-body .source__max').html(report['max']['source']);
                    modal.find('.modal-body .min__').html(report['min']['price']);
                    modal.find('.modal-body .source__min').html(report['min']['source']);
                    modal.find('.modal-body .last__').html(report['last']['price']);
                    modal.find('.modal-body .source__last').html(report['last']['source']);

                    modal.find('.modal-body .max__date').html(report['last']['request_date']);
                    modal.find('.modal-body .min__date').html(report['last']['request_date']);
                    modal.find('.modal-body .last__date').html(report['last']['request_date']);


                }
            })
    });
    $("select.modal-source-ls").change(function () {
        var source = $(this).val();
        var source_name = $("option:selected", this).html();
        var modal = $('#db-pric-modal');
        var data_id = parseInt(modal.find('#db-pric-modal-id').attr("data-id"));
        var ord_num = modal.find('.modal-body #db-pric-modal-id').val();
        var res = "";
        $.ajax(
            {
                type: "POST",
                url: "/product/recent-price",
                data: {code: ord_num, source: source},
                success: function (data, status) {
                    var value = data['value']['logs'];
                    var report = data['value']['report'];
                    for (var i = 0; i < value.length; i++) {
                        res += "<div class='col-md-3 modal-date' style='text-align: center'>" + value[i]['request_date'] + "</div><div class='col-md-3 modal-price' style='text-align: center'><a data-id=" + data_id + " class='set-price' href='#'>" + value[i]['price'] + "</a></div><div class='col-md-2 modal-source' style='text-align: center'>" + value[i]['source'] + "</div><div class='col-md-2 modal-euro' style='text-align: center'>" + value[i]['euro'] + "</div><div class='col-md-2' style='text-align: center'><a class='rm-prc-rcrd'>Delete</a></div>"
                    }
                    modal.find('.modal-body .recent-price').html(res);
                    modal.find('.modal-body .max__source').html(report['max_source']['price']);
                    modal.find('.modal-body .min__source').html(report['min_source']['price']);
                    modal.find('#source_name').val(source_name);
                }
            })
    });
    {#=======================================================Customer discount=============================================#}

    $('.customer-discount').on("keyup change", function () {
        var data_id = parseInt($(this).attr("data-id"));
        sales_price_update(data_id);
        pmd_ratio_update(data_id);
        form_state_update(data_id - 1, "customertdiscount", AutoNumeric.getNumber(this));
    });
    $('.default-customer-discount').on("change", function () {
        var new_val = $(this).val();
        var cd_ls = $(".customer-discount");
        $.each(cd_ls, function (index, value) {
            var data_id = index+1;
            AutoNumeric.getAutoNumericElement('input[name=customer-discount-' + data_id + ']').set(new_val);
            if ($(cd_ls[index]).val()!=0){
                $(cd_ls[index]).keyup();
            }
        });
    });

    {#=========================================================Sales Price=================================================#}

    $('.sales-price').on("change", function () {
        var data_id = parseInt($(this).attr("data-id"));
        customer_discount_update(data_id);
        sales_price_update(data_id);
    });

    {#====================================================Statement========================================================#}
    $('.statement').on("change", function () {
        var data_id = parseInt($(this).attr("data-id"));
        form_state_update(data_id - 1, "Statement", $(this).val());
    });

    $(".statement_option").click(function () {
        var data_id = parseInt($(this).attr("data-id"));
        var new_val = $(this).text();
        $("input[name=statement-" + data_id + "]").val(new_val).change();
        form_state[data_id - 1]["Statement"] = new_val;
        console.log("Statement changed :", data_id, form_state[data_id - 1]["Statement"]);
    });
    {#==================================================== Delivery =======================================================#}
    $('.deliver').on("change", function () {
        var data_id = parseInt($(this).attr("data-id"));
        {#form_state_update(data_id - 1, "deliver", $(this).val());#}
    });

    $(".deliver_time").click(function () {
        var data_id = parseInt($(this).attr("data-id"));
        var new_val = $(this).text();
        $("input[name=deliver-" + data_id + "]").val(new_val).change();
        form_state[data_id - 1]["deliver"] = new_val;
        {#console.log("deliver changed :", data_id, form_state[data_id - 1]["deliver"]);#}
    });
    {#======================================================Source==========================================================#}

    $("input.source_input").change(function () {
        var data_id = parseInt($(this).attr("data-id"));
        var new_val = $(this).val();
        {#alert(new_val);#}
        form_state[data_id - 1]["source"] = new_val;
        console.log("source changed :", data_id, form_state[data_id - 1]["source"]);

    });

    $(".source").click(function () {
        var data_id = parseInt($(this).attr("data-id"));
        var new_val = $(this).text();
        $("input[name=source-" + data_id + "]").val(new_val).change();
        form_state[data_id - 1]["source"] = new_val;
        {#console.log("source changed :", data_id, form_state[data_id - 1]["source"]);#}
    });

    {#=====================================================PMD Value =======================================================#}

    $('.pmd-val').change(function () {
        var pmd = AutoNumeric.getNumber(this);
        var data_id = parseInt($(this).attr("data-id"));
        var euro = AutoNumeric.getNumber('input[name=euro]');
        if (pmd * euro) {
            if ($('input[name=dt-pmd-ratio-check-' + data_id + ']').is(':checked')) {
                var ratio = parseFloat($('input[name=dt-pmd-ratio-' + data_id + ']').val());
                purchase_price_update(data_id, ratio);
            }
            else pmd_ratio_update(data_id);
            $("button[data-id=" + data_id + "]").removeClass("disp-none");
        }
        dt_check_update_class(data_id)
    });

    $('#add-pmd-modal').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var ord_num = button.data('ord-num');// Extract info from data-* attributes
        var data_id = parseInt(button.data('id'));
        var pmd_val = $("input[name=pmd-" + data_id + "]").val();
        var modal = $(this);
        modal.find('.modal-body #order-number').val(ord_num);
        AutoNumeric.getAutoNumericElement(".modal-input.pmd-val#pmd-val").set(pmd_val);
        modal.find('.modal-body #add-pmd-modal-id').val(data_id);
    });

    $("#add-pmd-btn").on("click", function (e) {
        var data_id = parseInt($("#add-pmd-modal-id").val());
        var ord_num = $("input[name=order-number-" + data_id + "]").val();
        var pmd_val = AutoNumeric.getNumber("input#pmd-val");
        {#alert(pmd_val);#}
        $.ajax(
            {
                type: "POST",
                url: "/pmd/update",
                data: {code: ord_num, pmd_val: pmd_val, act: "pmd-update"},
                success: function (data) {
                    if (data['status']) {
                        $("#modal-msg").removeClass("disp-none");
                        setTimeout(function () {
                            $('#add-pmd-modal').modal('hide');
                            $("#modal-msg").addClass("disp-none");
                            $("button[data-id=" + data_id + "]").addClass("disp-none");
                            AutoNumeric.getAutoNumericElement(".modal-input.pmd-val#pmd-val").set(pmd_val);
                        }, 800);
                    }
                }
            });

    });

    {#====================================================== Ritio ========================================================#}



    {#==================================================== DT-Ritio =======================================================#}

    var ratio_check = $('.dt-pmd-ratio-val');
    ratio_check.keyup(function () {
        var pmd_ratio = parseFloat(this.value);
        if (pmd_ratio) {
            var data_id = parseInt($(this).attr("data-id"));
            purchase_price_update(data_id, pmd_ratio);
            $("input[name=dt-pmd-ratio-check-" + data_id + "]").prop('checked', true);
        }
        dt_check_update_class(data_id)
    });
    ratio_check.change(function () {
        var pmd_ratio = parseFloat(this.value);
        var data_id = $(this).attr("data-id");
        if (!pmd_ratio) {
            $("input[name=dt-pmd-ratio-check-" + data_id + "]").click();
        }
        dt_check_update_class(data_id)
    });

    $("input.dt-pmd-ratio-check").click(function () {
        var data_id = parseInt($(this).attr("data-id"));
        var euro = AutoNumeric.getNumber('input[name=euro]');
        var pmd = AutoNumeric.getNumber('input[name=pmd-' + data_id + ']');

        var dt_pmd_ratio = parseFloat($("input[name=dt-pmd-ratio-" + data_id + "]").val());
        var pmd_ratio = parseFloat($("input[name=pmd-ratio-" + data_id + "]").val());
        if ($(this).is(":checked") && dt_pmd_ratio && pmd) {
            {#alert(pmd);#}
            AutoNumeric.getAutoNumericElement('input[name=purchase-price-' + data_id + ']').set(pmd * euro * dt_pmd_ratio);
            $('input[name=purchase-price-' + data_id + ']').addClass("edited");
            sales_price_update(data_id);
            purchase_price_update(data_id, dt_pmd_ratio)
        } else {
            $("input[name=dt-pmd-ratio-check-" + data_id + "]").prop('checked', false);
            {#alert("sas");#}
        }
        if ($(this).is(":not(:checked)") && pmd_ratio && pmd) {
            AutoNumeric.getAutoNumericElement('input[name=purchase-price-' + data_id + ']').set(pmd * euro * pmd_ratio);
            $('input[name=purchase-price-' + data_id + ']').removeClass("edited");
            sales_price_update(data_id);
            purchase_price_update(data_id, pmd_ratio)
        } else if (dt_pmd_ratio && pmd) {
            $("input[name=dt-pmd-ratio-check-" + data_id + "]").prop('checked', true);
        }
    });

    {#=================================================================================================================#}

    $("input").change(function () {
        $(this).addClass("edited");
    });
    $(".remove_item").click(function (e) {
        var data_id = parseInt($(this).attr("data-id"));
        $(".product_row[data-id="+data_id+"]").slideUp();
        form_state_update(data_id-1, 'status', 'removed');
    })

</script>

</body>
</html>
